package com.shinsoft.sto.service.main;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shinsoft.sto.model.main.Cargo;
import com.shinsoft.tools.model.common.ResultJSON;

import java.util.Map;

public interface CargoService extends IService<Cargo> {

    ResultJSON query(Integer page, Integer rows, Map<String, Object> params);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);

    ResultJSON transfer(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);
}